Subject: New Reply Received - I have been waiting for my order for over 1 month and your company has failed twice to deliver on th...
From: Home Box <[email-masked]>
To: [email-masked]
Date: Fri, 23 Apr 2021 05:14:38 +0000

Hi Amir Aziz,  The customer has responded to the ticket.  I have been waiting for my order for over 1 month and your company has failed twice to deliver on th...  Ticket comment <div>The location was clarified since 29/03, when the 1st delivery date was not met. I have sent myltpile clarifications about the location and  already had other Homebox items ordered at same time and delivered at the same address  a month ago.</div>  https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2440290